Perl autorequires failing for git-svn

Todd Zullinger tmz at pobox.com
Wed Jan 15 15:38:15 UTC 2014


Petr Pisar wrote:
> Despite there is incompatibility between updated file and rpmbuild, 
> which could be fixed probably on rpmbuild side to scan modules and scripts 
> for requires, the basic problem is git.spec uses old, obsoleted, 
> and broken manual generators:

Thanks Petr.  I knew that was the older method, but from what I read 
in the guidelines, I didn't think it was known to be broken.  The Perl 
guidelines say:

     "In the past, several other methods were given for doing this 
     filtering. Those should be considered deprecated and packages 
     should be updated to use the macros on [[2]] as time and the 
     natural rebuild cycle permits."

     https://fedoraproject.org/wiki/Packaging:Perl?rd=Packaging/Perl#Filtering_Requires_and_Provides

I took that to mean that the older method was expected to continue to 
work.  I have tried hard to ensure that git is easily rebuilt for EL, 
as RHEL ships an ancient git in EL6 and many folks want something more 
recent (myself included).  I can certainly convert git to use the new 
methods on supported Fedora releases, but I was hoping to not have to 
do so just yet. :)

-- 
Todd        OpenPGP -> KeyID: 0xBEAF0CE3 | URL: www.pobox.com/~tmz/pgp
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
It is insufficient to protect ourselves with laws; we need to protect
ourselves with mathematics.
     -- Bruce Schneier

-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 543 bytes
Desc: not available
URL: <http://lists.fedoraproject.org/pipermail/devel/attachments/20140115/93305311/attachment.sig>


More information about the devel mailing list